package com.composition.android.lib.ad.interfaces

import com.composition.android.lib.ad.bean.AdUnitBean


/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/5
 * description: 广告监听接口
 */
interface AdListener {

    /**
     * 广告展示
     */
    fun onAdShow(adUnitBean: AdUnitBean)

    /**
     * 广告关闭
     */
    fun onAdClose()

    /**
     * 广告点击
     */
    fun onAdClick()

    /**
     * 广告加载结束
     */
    fun onAdLoaded()

    /**
     * 下发激励广告
     */
    fun onAdRewarded()

    /**
     * 广告加载失败
     */
    fun onAdLoadedFail()

    /**
     * 点击不喜欢广告
     */
    fun onAdDisLike()

    /**
     * 广告跳过
     */
    fun onAdSkip()

    /**
     * 广告超时
     */
    fun onTimeOver()

    fun onAdShowFail(msg : String)

}